Description: Disable version check and analitycs report by default
 - Disable the version check: it compares local version with git version.
 - Disable the analytics reporting: it sends analytics to google-analytics.
 By default these options are enabled and we don't want that in Debian.
Author: Sophie Brun <sophie@offensive-security.com>
Last-Update: 2019-07-05
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/recon-cli
+++ b/recon-cli
@@ -80,10 +80,11 @@
 parser.add_argument('-O', help='show available module options', dest='show', default=False, action='store_true')
 parser.add_argument('-o', help='set a module option (can be used more than once)', metavar='name=value', dest='options', default=[], action='append')
 parser.add_argument('-x', help='run the module', dest='run', default=False, action='store_true')
-parser.add_argument('--no-version', help='disable version check', dest='check', default=True, action='store_false')
-parser.add_argument('--no-analytics', help='disable analytics reporting', dest='analytics', default=True, action='store_false')
+parser.add_argument('--no-version', help='disable version check. Already disabled by default in Debian', dest='check', default=False, action='store_false')
+parser.add_argument('--no-analytics', help='disable analytics reporting.  Already disabled by default in Debian', dest='analytics', default=False, action='store_false')
 parser.add_argument('--no-marketplace', help='disable remote module management', dest='marketplace', default=True, action='store_false')
 parser.add_argument('--stealth', help='disable all passive requests (--no-*)', dest='stealth', default=False, action='store_true')
 parser.add_argument('--version', help='displays the current version', action='version', version=base.__version__)
+parser.add_argument('--analytics', help='enable analytics reporting. Send analytics to google', dest='analytics', default=False, action='store_true')
 args = parser.parse_args()
 recon_cli(args)
--- a/recon-ng
+++ b/recon-ng
@@ -48,11 +48,12 @@
 parser = argparse.ArgumentParser(description=description)
 parser.add_argument('-w', help='load/create a workspace', metavar='workspace', dest='workspace', action='store')
 parser.add_argument('-r', help='load commands from a resource file', metavar='filename', dest='script_file', action='store')
-parser.add_argument('--no-version', help='disable version check', dest='check', default=True, action='store_false')
-parser.add_argument('--no-analytics', help='disable analytics reporting', dest='analytics', default=True, action='store_false')
+parser.add_argument('--no-version', help='disable version check. Already disabled by default in Debian', dest='check', default=False,                action='store_false')
+parser.add_argument('--no-analytics', help='disable analytics reporting. Already disabled by default in Debian', dest='analytics', default=False,    action='store_false')
 parser.add_argument('--no-marketplace', help='disable remote module management', dest='marketplace', default=True, action='store_false')
 parser.add_argument('--stealth', help='disable all passive requests (--no-*)', dest='stealth', default=False, action='store_true')
 parser.add_argument('--accessible', help='Use accessible outputs when available', dest='accessible', default=False, action='store_true')
 parser.add_argument('--version', help='displays the current version', action='version', version=base.__version__)
 args = parser.parse_args()
+parser.add_argument('--analytics', help='enable analytics reporting. Send analytics to google', dest='analytics', default=False,                     action='store_true')
 recon_ui(args)
